# Class CIM_Person
extends CIM_UserContact

The Person class is used to represent people, and holds their white and yellow pages data. The class is defined so as to incorporate commonly-used LDAP attributes to permit implementations to easily derive this information from LDAP-accessible directories. This class's properties are a subset of a related class, OtherPersonInformation, which defines all the group properties and in array form for directory compatibility.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_OrganizationalEntity
|
+--CIM_UserEntity
|
+--CIM_UserContact
|
+--CIM_Person

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

The Person class is used to represent people, and holds their white and yellow pages data. The class is defined so as to incorporate commonly-used LDAP attributes to permit implementations to easily derive this information from LDAP-accessible directories. This class's properties are a subset of a related class, OtherPersonInformation, which defines all the group properties and in array form for directory compatibility.

UMLPackagePath | string | CIM::User::Org
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BusinessCategory | string |
Description | string | This property describes the kind of business performed by an organization.
MaxLen | uint32 | 128
CommonName | string |
Description | string | A CommonName is a (possibly ambiguous) name by which the Person is commonly known in some limited scope (such as an organization) and conforms to the naming conventions of the country or culture with which it is associated.
Required | boolean | true
EmployeeNumber | string |
Description | string | Based on inetOrgPerson, the EmployeeNumber property specifies a numeric or an alphanumeric identifier assigned to a person.
EmployeeType | string |
Description | string | Based on inetOrgPerson, the EmployeeType property is used to identify the employer to employee relationship. Typical values used may include 'Contractor', 'Employee', 'Intern', 'Temp', 'External', and 'Unknown' but any value may be used.
FacsimileTelephoneNumber | string |
Description | string | The person's facsimile telephone number.
HomePhone | string |
Description | string | Based on RFC1274, the HomePhone property specifies a home telephone number for the person, e.g. + 44 582 10101).
MaxLen | uint32 | 32
JPEGPhoto | string |
Description | string | From inetOrgPerson, the JPEGPhoto property values may be used for one or more images of a person using the JPEG File Interchange Format.
Manager | string |
Description | string | The person's manager within the organization. In the case of an LDAP-derived instance, the Manager property value may contain the distinguished name of the Manager.
Mobile | string |
Description | string | Based on RFC1274, the Mobile phone property specifies a mobile telephone number for the person, e.g. + 44 582 10101).
MaxLen | uint32 | 32
OU | string |
Description | string | The name of an organizational unit related to the person.
Pager | string |
Description | string | Based on RFC1274, the Pager property specifies a pager telephone number for the person, e.g. + 44 582 10101).
MaxLen | uint32 | 32
PreferredLanguage | string |
Description | string | Based on inetOrgPerson, the person's preferred written or spoken language.
Secretary | string |
Description | string | Based on RFC1274, the Secretary property may be used to specify a secretary for the person. In the case of an LDAP-derived object instance, the value may be a distinguished name.
Title | string |
Description | string | The Title property may be used to specify the person's designated position or function of the object within an organization, e.g., Manager, Vice-President, etc.
HomePostalAddress | string[] |
Description | string | The HomePostalAddress property values specify the home address information required for the physical delivery of postal messages by the postal authority.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationClassName | string | CIM_UserContact
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
GivenName | string | CIM_UserContact
InstanceID | string | CIM_ManagedElement
LocalityName | string | CIM_UserContact
Mail | string | CIM_UserContact
Name | string | CIM_UserContact
PostalCode | string | CIM_UserContact
StateOrProvince | string | CIM_UserContact
Surname | string | CIM_UserContact
TelephoneNumber | string | CIM_UserContact
UserID | string | CIM_UserContact
PostalAddress | string[] | CIM_UserContact

## Class Methods